Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4779 - pppd logs to the console instead of to /var/log/messages
Summary: pppd logs to the console instead of to /var/log/messages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-30 08:29 UTC by giulioo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 16:55:54 UTC


Attachments (Terms of Use)

Description giulioo 1999-08-30 08:29:56 UTC
Stock rh60.


== Problem:
Pppd logs to syslog AND to the console instead of just to
syslog.


== Situation:
I connect a rh6 server and a diskless pc (boot linux from a
floppy) via serial line/ppp.


== PPP setup on the rh60 server:
1) iinittab:
S0:234:respawn:/usr/sbin/pppd ttyS0
2) /etc/ppp/options:
lock
3) /etc/ppp/options.ttyS0:
:10.0.0.101
-detach
silent
persist
netmask 255.0.0.0
asyncmap 0
proxyarp
crtscts
ipcp-accept-remote
ipcp-accept-local
115200


== /etc/sysconfig/init
I have loglevel=7 (but this shouldn't have anything to do
with the problem)


== What pppd logs to the console:
pppd logs to the /dev/tty1 the following stuff (WHEN the
serial cable is connected to ttyS0):

1) At boot it logs
--
Using interface ppp0
Connect: ppp0 <--> /dev/ttyS0
--
cluttering the login prompt

2) when the diskless pc connects to it
--
found interface eth0 for proxy arp
local  IP address x.x.x.x
remote IP address x.x.x.x
--

3) when the diskless pc does ppp-off
--
LCP terminated by peer
Connection terminated.
Connect time 4.4 minutes.
Sent 320 bytes, received 363 bytes.
Hangup (SIGHUP)
Using interface ppp0
Connect: ppp0 <--> /dev/ttyS0
--

The PPP connection works perfectly, but the console is too
much cluttered with merely informational pppd messages.


== Why I think this is a bug:
I looked at the pppd source and it logs those messages
under daemon.notice and daemon.info, so that they should go
to /var/log/messages only (if I understand the stock
syslog.conf), not to the console too.

I used pppd in the same manner (with the same serial cable)
on a caldera13 (2.0.33/ppp2.2.x) box and it didn't log
anything to the console.

Just to try, I set up a syslog.conf with
*.*         /var/log/messages  (tab not spaces)
killall -1 syslogd
but the problem persists.

Is this a normal behavior or a bug?

Thanks.

Comment 1 Michael K. Johnson 1999-11-08 15:55:59 UTC
I think this is considered a feature when pppd is run with a
controlling terminal, though I may be mistaken.  Have you
tried running pppd with standard in, out, and err redirected
from/to /dev/null?
pppd [arguments] </dev/null >/dev/null 2>/dev/null

Comment 2 Anonymous 1999-11-09 10:01:59 UTC
You're right, with
S0:234:respawn:/usr/sbin/pppd ttyS0 1>/dev/null
the console is not cluttered anymore.

However, I think this behavior is not so intuitive; usually stuff run
from inittab doesn't log to console, but for critical problems. And
the old pppd did this way.

Thanks.

Comment 3 Michael K. Johnson 1999-11-22 16:55:59 UTC
If you would like, you may discuss your preferences for pppd's behaviour
to pppd's author; we can't be very effective middlemen on this.


Note You need to log in before you can comment on or make changes to this bug.